> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get simulated margin

POST https://www.okx.com/api/v5/account/simulated_margin
Content-Type: application/json

Compute the portfolio margin information given a set of simulated positions, only applicable to portfolio margin accounts.

Reference: https://okx-demo.ferndocs.com/api/api-reference/account/get-simulated-margin

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `instType` (enum, optional) — Instrument type.
  - Allowed values: `SWAP`, `FUTURES`, `OPTION`
- `inclRealPos` (boolean, optional) — Whether to include real positions. true includes existing positions and simulated ones; default true.
- `spotOffsetType` (enum, optional) — Risk offset type.
  - Allowed values: `1`, `2`, `3`
- `simPos` (list of ApiV5AccountSimulatedMarginPostRequestBodyContentApplicationJsonSchemaSimPosItems, optional) — List of simulated positions.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AccountSimulatedMarginPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AccountSimulatedMarginPostRequestBodyContentApplicationJsonSchemaSimPosItems

- `instId` (string, optional) — Instrument ID, e.g. BTC-USDT-SWAP.
- `pos` (string, optional) — Quantity of position.

### ApiV5AccountSimulatedMarginPostResponsesContentApplicationJsonSchemaDataItems

- `riskUnit` (string, optional) — Risk unit identifier.
- `mmr` (string, optional) — Maintenance margin requirement in USD.
- `imr` (string, optional) — Initial margin requirement in USD.
- `mr1` (string, optional) — Spot and volatility movement risk.
- `mr2` (string, optional) — Time value of money and volatility movement risk.
- `mr3` (string, optional) — Volatility skew and convexity risk.
- `posData` (list of ApiV5AccountSimulatedMarginPostResponsesContentApplicationJsonSchemaDataItemsPosDataItems, optional) — Details of simulated positions.

### ApiV5AccountSimulatedMarginPostResponsesContentApplicationJsonSchemaDataItemsPosDataItems

- `instId` (string, optional) — Instrument ID.
- `pos` (string, optional) — Quantity of position.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "code": "string",
  "msg": "string",
  "data": [
    {
      "riskUnit": "string",
      "mmr": "string",
      "imr": "string",
      "mr1": "string",
      "mr2": "string",
      "mr3": "string",
      "posData": [
        {
          "instId": "string",
          "pos": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://www.okx.com/api/v5/account/simulated_margin"

payload = {}
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://www.okx.com/api/v5/account/simulated_margin';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/account/simulated_margin"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/account/simulated_margin")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/account/simulated_margin")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/account/simulated_margin', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/account/simulated_margin");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/simulated_margin")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```